Subject: bug#28308: Build failure on FreeBSD/aarch64

From: [email-masked]
Date: Fri, 08 Sep 2017 19:52:51 -0400

Gergely Czuczy <[email-masked]> writes:

> On 2017. 09. 02. 5:13, [email-masked] wrote:
>> Gergely Czuczy <[email-masked]> writes:
>>
>>> EMACSLOADPATH= '../src/bootstrap-emacs' -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)'  -f batch-byte-compile emacs-lisp/macroexp.el
>>> (lldb) bt
>> This looks like a segfault triggered from the segfault handler.  Can you
>> run the batch-byte-compile command above under the debugger and catch
>> the original segfault?
> Sure, I can. However, could you please tell me the commands I need to
> run? Unfortunately I don't really have the time to do the legwork,
> however if the commands are given, I can run it and let you know of
> the results.

I think it should be (from the lisp/ directory)

    EMACSLOADPATH= lldb -- '../src/bootstrap-emacs' -batch --no-site-file --no-site-lisp --eval '(setq load-prefer-newer t)'  -f batch-byte-compile emacs-lisp/macroexp.el

then 'bt' when it segfaults.